This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 846242

Summary: CVE-2012-2378 jbossws-cxf, apache-cxf: Certain child policies of WS-SecurityPolicy 1.1 SupportingToken policy not applied on the client side [fedora-17]
Product: [Fedora] Fedora Reporter: David Jorm <djorm>
Component: cxfAssignee: Patryk Obara <pobara>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 17CC: bgeorges, mgoldman, mjc, pobara
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-20 10:04:13 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 826533    

Description David Jorm 2012-08-07 04:57:37 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=826533

fedora-17 tracking bug for jbossws-cxf: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Marek Goldmann 2012-09-18 05:36:07 EDT
Changing component to cxf.

The solution here will be upgrading to 2.4.9 (or newer).
Comment 2 Fedora Update System 2012-10-03 08:26:02 EDT
cxf-2.4.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cxf-2.4.9-2.fc17
Comment 3 Fedora Update System 2012-10-03 08:26:30 EDT
cxf-2.4.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cxf-2.4.9-2.fc18
Comment 4 Fedora Update System 2012-10-03 13:04:14 EDT
Package cxf-2.4.9-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cxf-2.4.9-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15293/cxf-2.4.9-2.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:04:17 EST
cxf-2.4.9-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.